/*
 * This file is part of ComputerCraft - http://www.computercraft.info
 * Copyright Daniel Ratcliffe, 2011-2017. Do not distribute without permission.
 * Send enquiries to dratcliffe@gmail.com
 */

package dan200.computercraft.core.filesystem;

import dan200.computercraft.api.filesystem.IMount;

import javax.annotation.Nonnull;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public class EmptyMount implements IMount
{    
    public EmptyMount()
    {
    }
    
    // IMount implementation
    
    @Override
    public boolean exists( @Nonnull String path ) throws IOException
    {
        return path.isEmpty();
    }
    
    @Override
    public boolean isDirectory( @Nonnull String path ) throws IOException
    {
        return path.isEmpty();
    }
    
    @Override
    public void list( @Nonnull String path, @Nonnull List<String> contents ) throws IOException
    {
    }
    
    @Override
    public long getSize( @Nonnull String path ) throws IOException
    {
        return 0;
    }

    @Nonnull
    @Override
    public InputStream openForRead( @Nonnull String path ) throws IOException
    {
        return null;
    }
}
